/**
 * Common scripts
 */

function openFrameSetAtAnchor(html_file, anchor_name)
{
	document.location = html_file + '?' + escape(anchor_name);
}

/**
 * Function that sets the visibility of an HTML element.
 */
function setVisibility(element_id, visibility)
{
	element = document.getElementById(element_id);
	if (visibility == true)
	{
		//element.parentNode.parentNode.style.zIndex = 1000;
		element.style.visibility = 'visible';
		element.style.position = 'static';
	}
	else
	{
		//element.parentNode.parentNode.style.zIndex = 1;
		element.style.visibility = 'hidden';
		element.style.position = 'absolute';
	}
}

/**
 * Function that inverts the visibility of an HTML element.
 */
function invertVisibility(element_id)
{
	element = document.getElementById(element_id);
	if (element.style.visibility == 'visible')
	{
		setVisibility(element_id, false);
	}
	else
	{
		setVisibility(element_id, true);
	}
}
